MinovaEasy - Bug #2868

Attendance Form Submission - Submit Sukses nhamun tidak masuk ke table RUNPIC, dan Apabila
Submit 2 di hari yg sama kali Error, sebaiknya ada message.

07/10/2024 11:56 AM - shofwan shiddiq

Status: Closed Start date: 07/10/2024
Priority: Normal Due date:

Assignee: shofwan shiddiq % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 3.00 hours

Description

Dear Azid, Attendance Form sudah berhasil di submit (mendapatkan return success).
ada beberapa poin yg perlu di revisi

1. Apabila user submit attendance ke tanggal yg sudah pernah di submit, maka API akan error. seharusnya mendapatkan message
'Anda Sudah Mengajukan Attendance Pada Hari ini'

2. Request ID yg berhasil di submit masuk ke table RUNBIZ, RUNMAIN, Namun tidak masuk ke table RUNPIC. jadi tidak muncul di
Inbox atasan.

Ini masalahnya dimana ya?

Contoh: Req ID 116

-+
select * from PCMWFRUNEIZDATA where RegID='115' e
select * from PCMWFRUNMAIN where RegID="115"
select * from PCMWFRUNPIC where RegID="115"'

—

65 % -

H Results g Messages

ReglD Sequence BizProcessID TableReference FieldlD DataSequence Value
1 116 i1 AttendanceEasy ATTMOBILEEASY AttendanceType 1 1000
2 116 1 AttendanceEasy ATTMOBILEEASY ~EmployesiD 1 00000012
3 116 1 AttendanceEasy ATTMOBILEEASY EndDate 1 20240710
4 116 1 AttendanceEasy ATTMOBILEEASY EndlLocation 1
5 116 1 AttendanceEasy ATTMOEILEEASY EndTime 1 0500
B 116 1 AttendanceEasy ATTMOEBILEEASY  Notes 1 From Maobile
7 116 1 AttendanceEasy ATTMOBILEEASY  StartDate 1 20240710
8 116 1 AttendanceEasy ATTMOBILEEASY  StartLocation 1
n 11A8 1 Atandancal aeu ATTMANRI FEASY CtarTima 1 nann
Regho  BizflowlD Subject Priority UserCreate EmplDCreate PositionCreate UserhAs EmplDAs  Positionfs UserChange EmplDChange Position(
1 116 | MD_AttendanceEasy  AttendanceEasy shofwan 00000012 00000010 shofwan 00000012 00000010 shofwan ooooooi12 000000
ReglD Seqguence PICPosition PICUser PICEmplD  PICGroup PICStatus  InboundDt ReadDt ReadBy ReadlD ExecuteDt ExecutelUser ExecuteEmplD  TaskStatus  IsExeci

API: https://api-mobile-easy.minovais.com//api/wf/requestWithoutAttachment
DB: 103.153.60.89 > MinovaES_Easy

json:
{"worlflow_id":null,"status":"Submit","workflow_name":"AttendanceEasy","absence_type":null,"quota_from":null,"quota_to":null,"deleg
ate_to":null,"duration":null,"duration_ovt":"","remaining_quota":null,"description":"Attendance Form
Submission","action":"200","comment":null,"date":null,"date_from":"2024-07-10","date_to0":"2024-07-10","time_from":"08:00:00","time
_t0":"05:00:00","notes":"","reason":"","request_no":"0","office":"","latitude":"","longitude":"","day_type":null,"attendance_type":"1000"}

History

#1 - 07/10/2024 02:54 PM - M Azid Wahyudi
- Status changed from QA Test to Assigned
- Assignee changed from M Azid Wahyudi to shofwan shiddiq

dear shofwan , ini udah yaa
issue terjadi kenapa engga ada approvalnya karena belom di daftarin , dan message itu tergantung udah di posting atau belom , untuk validasi ketika

data udah ada di 19 udah ada validasinya
selanjutnya di test terlebih dahulu sama jihad

03/14/2025 12



https://api-mobile-easy.minovais.com//api/wf/requestWithoutAttachment

makasih

#2 - 07/17/2024 06:16 PM - shofwan shiddiq

- Status changed from Assigned to Closed
